Rumble Channel Videos API

Gets videos from a Rumble channel by handle or URL.

1 creditper request
GET
/v1/rumble/channel/videos
curl "https://api.scrapecreators.com/v1/rumble/channel/videos" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 49999,
  "channel": {
    "name": "Cute Cats",
    "url": "https://rumble.com/c/CuteCats223",
    "handle": "CuteCats223"
  },
  "videos": [
    {
      "id": "v6uyinv",
      "url": "https://rumble.com/v6uyinv-try-not-to-laughfunniest-dogs-and-cats-clips-2025.html",
      "title": "Try Not To LaughFunniest Dogs and Cats Clips 2025",
      "thumbnail": "https://hugh.cdn.rumble.cloud/video/fww1/7e/s8/1/7/J/u/U/7JuUy.oq1b.2-small-Try-Not-To-LaughFunniest-Do.jpg",
      "duration": "20:55",
      "publishedAt": "2025-06-18T05:04:11-04:00",
      "publishedText": "10 months ago",
      "viewCountText": "1,150 views",
      "viewCountInt": 1150,
      "type": "video"
    }
  ],
  "shorts": [],
  "cursor": 2
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

handle
string

Rumble channel handle. If you'd prefer to use the URL instead, use the url parameter.

Example:
CuteCats223
url
string

Rumble channel URL. If you'd prefer to use the handle instead, use the handle parameter.

Example:
https://rumble.com/c/CuteCats223
cursor
string

Cursor from the previous response. This is the next page number, like 2 or 3.

Example:
2